Bug 484229 - (qbittorrent) Review Request: qbittorrent - A bittorrent Client
Review Request: qbittorrent - A bittorrent Client
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Eli Wapniarski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-05 10:51 EST by leigh scott
Modified: 2009-10-16 16:08 EDT (History)
6 users (show)

See Also:
Fixed In Version: 0.9.3-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-24 15:57:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
eli: fedora‑review+
rdieter: fedora‑cvs+


Attachments (Terms of Use)
patch for spec file (901 bytes, patch)
2009-02-08 07:37 EST, Michael Schwendt
no flags Details | Diff
Patch to remove flags from the preferences menu (1.36 KB, patch)
2009-02-09 06:20 EST, leigh scott
no flags Details | Diff

  None (edit)
Description leigh scott 2009-02-05 10:51:33 EST
Spec URL: http://dnmouse.org/fedora/qbittorrent_review/qbittorrent.spec
SRPM URL: http://dnmouse.org/fedora/qbittorrent_review/qbittorrent-1.3.0-2.fc10.src.rpm
Description: A Bittorrent client using C++ / rb_libtorrent and a Qt4 Graphical User Interface.
It aims to be as fast as possible and to provide multi-OS, unicode support.
I already maintain the fedora packages for the Qbittorrent site.

http://qbittorrent.sourceforge.net/download.php


I also need a sponsor.
Comment 1 leigh scott 2009-02-05 11:07:27 EST
Extra info

I have used 

CFLAGS="%optflags" CXXFLAGS="%optflags" \
./configure --prefix=$RPM_BUILD_ROOT%{_prefix}

In the spec file as %configure doesn't work

+ CFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic'
+ CXXFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic'
+ CFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic'
+ export CFLAGS
+ CXXFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic'
+ export CXXFLAGS
+ FFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -I/usr/lib64/gfortran/modules'
+ export FFLAGS
+ ./configure --build=x86_64-unknown-linux-gnu --host=x86_64-unknown-linux-gnu --target=x86_64-redhat-linux-gnu --program-prefix= --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64 --libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/usr/com --mandir=/usr/share/man --infodir=/usr/share/info --prefix=/home/leigh/development/rpmbuild/BUILDROOT/qbittorrent-1.3.0-3.fc10.x86_64/usr
Usage: ./configure [OPTION]...

This script creates necessary configuration files to build/install.

Main options:
  --prefix=[path]     Base path for build/install.  Default: /usr/local
  --bindir=[path]     Directory for binaries.  Default: PREFIX/bin
  --datadir=[path]    Directory for data.  Default: PREFIX/share
  --qtdir=[path]      Directory where Qt is installed.
  --verbose           Show extra configure output.
  --help              This help text.

Dependency options:
  --with-libtorrent-inc=[path]            Path to libtorrent-rasterbar include
                                         files
  --with-libtorrent-lib=[path]            Path to libtorrent-rasterbar library
                                         files
  --with-libtorrent-static-lib=[path]     Path to libtorrent-rasterbar .a file
  --with-libboost-inc=[path]              Path to libboost include files
  --with-libcurl-inc=[path]               Path to libcurl include files
  --with-libcurl-lib=[path]               Path to libcurl library files
  --disable-libzzip                      Disable use of libzzip
  --with-libzzip-inc=[path]               Path to libzzip++ include files
  --with-libzzip-lib=[path]               Path to libzzip++ library files

+ gmake -j3
gmake: *** No targets specified and no makefile found.  Stop.
error: Bad exit status from /var/tmp/rpm-tmp.sj8MDC (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.sj8MDC (%build)
Comment 2 Rex Dieter 2009-02-05 11:23:14 EST
woo. 

minor suggestions:
omit "using C++ Qt4" from summary/description.

document, by adding a comment in %build section, about the non-use of %configure
Comment 3 Rex Dieter 2009-02-05 11:27:30 EST
3. and drop the hardcoded 
Requires: qt-x11 >= 4.4.1  
Requires: rb_libtorrent >= 0.14.1
Requires: python >= 2.5
Requires: curl
Requires: boost
Requires: qbittorrent-release

These are all almost certainly not necessary, rpm's autoreq's should work.

4.  Use
BuildRequires: qt4-devel >= 4.4.1
omit
BuildRequires: qt-x11 >= 4.4.1
(it's pulled in implicitly by qt4-devel already).
Comment 4 leigh scott 2009-02-05 12:21:43 EST
> document, by adding a comment in %build section, about the non-use of
> %configure


When I add 

# use ./configure instead of %configure as it doesn't work

It causes this build error ( have I made a mistake ? )

+ CFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic'
+ export CFLAGS
+ CXXFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic'
+ export CXXFLAGS
+ FFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -I/usr/lib64/gfortran/modules'
+ export FFLAGS
/var/tmp/rpm-tmp.GnxZn6: line 48: unexpected EOF while looking for matching `''
error: Bad exit status from /var/tmp/rpm-tmp.GnxZn6 (%build)
Comment 5 Rex Dieter 2009-02-05 12:32:08 EST
macros, even in comments, get expanded too.  Use this instead:
# use ./configure instead of %%configure as it doesn't work
Comment 6 leigh scott 2009-02-05 12:40:01 EST
(In reply to comment #5)
> macros, even in comments, get expanded too.  Use this instead:
> # use ./configure instead of %%configure as it doesn't work


Thanks Rex.


Here are the new spec and srpm

Spec URL: http://dnmouse.org/fedora/qbittorrent_review/review_changes/qbittorrent.spec

SRPM URL: http://dnmouse.org/fedora/qbittorrent_review/review_changes/qbittorrent-1.3.0-3.fc10.src.rpm
Comment 7 Rex Dieter 2009-02-05 12:50:07 EST
Adjusting bz Summary to match spec.

If the qBittorrent.desktop file contains MimeTypes=  (I assume it does, for .torrent files), then you probably ought to include scriptlets to update the system file associations:
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#desktop-database
Comment 8 leigh scott 2009-02-05 12:55:01 EST
(In reply to comment #7)
> Adjusting bz Summary to match spec.
> 
> If the qBittorrent.desktop file contains MimeTypes=  (I assume it does, for
> .torrent files), then you probably ought to include scriptlets to update the
> system file associations:
> http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#desktop-database

Yes it does, I will make the necessary changes .


[leigh@localhost applications]$ cat '/home/leigh/development/rpmbuild/RPMS/x86_64/usr/share/applications/qBittorrent.desktop' 

[Desktop Entry]
Categories=Qt;Network;P2P;
Comment=V1.2.0
Exec=qbittorrent %f
GenericName=Bittorrent client
GenericName[bg]=Торент клиент
GenericName[de]=Bittorren Client
GenericName[el]=Τορεντ πελάτης
GenericName[es]=Cliente Bittorrent
GenericName[fr]=Client Bittorrent
GenericName[it]=Client Bittorrent
GenericName[ja]=Bittorrent クライアント
GenericName[ko]=비토렌트 클라이언트
GenericName[nl]=Bittorrent client
GenericName[pl]=Klient Bittorrent
GenericName[ru]=клиент Bittorrent
GenericName[sv]=Bittorrent-klient
GenericName[tr]=Bittorrent istemcisi
GenericName[uk]=Bittorrent-клієнт
GenericName[zh]=Bittorrent之用户
Icon=qbittorrent
MimeType=application/x-bittorrent;
Name=qBittorrent
Name[ko]=큐비토런트
Terminal=false
Type=Application

X-Desktop-File-Install-Version=0.15
[leigh@localhost applications]$
Comment 9 leigh scott 2009-02-05 13:00:11 EST
(In reply to comment #7)
> Adjusting bz Summary to match spec.
> 


What does this mean ?
Comment 10 Rex Dieter 2009-02-05 13:03:44 EST
I adjusted the Summary of this bz ticket no longer include "using C++ Qt4", to match the "Summary:" tag in qbittorrent.spec.
Comment 12 Michael Schwendt 2009-02-07 17:16:48 EST
* Source0 points to a web page. The following Source0 location actually points to a wget/curl-downloadable tarball:

http://downloads.sf.net/qbittorrent/qbittorrent-1.3.0.tar.gz


> ./configure --prefix=$RPM_BUILD_ROOT%{_prefix}

This --prefix is wrong. That's too much risk that the buildroot path finds its way into compiled/built files. Use --prefix=%{_prefix} only.


> gmake %{?_smp_mflags}

"gmake" is a softlink to "make", why not just use "make" from package "make" then? ;)


> %doc README INSTALL NEWS COPYING AUTHORS TODO Changelog

File "INSTALL" is irrelevant to the package users.


* Run "rpmlint" on your src.rpm and built rpms and apply fixes as appropriate:

$ rpmlint qbittorrent-1.3.0-4.fc10.src.rpm 
qbittorrent.src:27: W: configure-without-libdir-spec
qbittorrent.src:29: W: rpm-buildroot-usage %build ./configure --prefix=$RPM_BUILD_ROOT%{_prefix}
qbittorrent.src:29: W: configure-without-libdir-spec
qbittorrent.src: E: description-line-too-long A Bittorrent client using C++ / rb_libtorrent and a Qt4 Graphical User Interface.
1 packages and 0 specfiles checked; 1 errors, 3 warnings.

* The Warning about missing --libdir usage can be ignored.


* Testbuild will need Rawhide (F11 devel):
Checking for libtorrent-rasterbar >= 0.14 ... no
Comment 13 leigh scott 2009-02-07 19:59:05 EST
(In reply to comment #12)
> * Source0 points to a web page. The following Source0 location actually points
> to a wget/curl-downloadable tarball:
> 
> http://downloads.sf.net/qbittorrent/qbittorrent-1.3.0.tar.gz
> 
> 
> > ./configure --prefix=$RPM_BUILD_ROOT%{_prefix}
> 
> This --prefix is wrong. That's too much risk that the buildroot path finds its
> way into compiled/built files. Use --prefix=%{_prefix} only.
> 
> 
> > gmake %{?_smp_mflags}
> 
> "gmake" is a softlink to "make", why not just use "make" from package "make"
> then? ;)
> 
> 
> > %doc README INSTALL NEWS COPYING AUTHORS TODO Changelog
> 
> File "INSTALL" is irrelevant to the package users.
> 
> 
> * Run "rpmlint" on your src.rpm and built rpms and apply fixes as appropriate:
> 
> $ rpmlint qbittorrent-1.3.0-4.fc10.src.rpm 
> qbittorrent.src:27: W: configure-without-libdir-spec
> qbittorrent.src:29: W: rpm-buildroot-usage %build ./configure
> --prefix=$RPM_BUILD_ROOT%{_prefix}
> qbittorrent.src:29: W: configure-without-libdir-spec
> qbittorrent.src: E: description-line-too-long A Bittorrent client using C++ /
> rb_libtorrent and a Qt4 Graphical User Interface.
> 1 packages and 0 specfiles checked; 1 errors, 3 warnings.
> 
> * The Warning about missing --libdir usage can be ignored.
> 
> 
> * Testbuild will need Rawhide (F11 devel):
> Checking for libtorrent-rasterbar >= 0.14 ... no


This isn't possible !

> > ./configure --prefix=$RPM_BUILD_ROOT%{_prefix}
> 
> This --prefix is wrong. That's too much risk that the buildroot path finds its
> way into compiled/built files. Use --prefix=%{_prefix} only.


I have read the packaging guidelines and found nothing that expressly prohibits this , so fixing this error isn't mandatory , is this correct ?
Comment 14 leigh scott 2009-02-07 20:01:19 EST
(In reply to comment #13)
> (In reply to comment #12)
> > * Source0 points to a web page. The following Source0 location actually points
> > to a wget/curl-downloadable tarball:
> > 
> > http://downloads.sf.net/qbittorrent/qbittorrent-1.3.0.tar.gz
> > 
> > 
> > > ./configure --prefix=$RPM_BUILD_ROOT%{_prefix}
> > 
> > This --prefix is wrong. That's too much risk that the buildroot path finds its
> > way into compiled/built files. Use --prefix=%{_prefix} only.
> > 
> > 
> > > gmake %{?_smp_mflags}
> > 
> > "gmake" is a softlink to "make", why not just use "make" from package "make"
> > then? ;)
> > 
> > 
> > > %doc README INSTALL NEWS COPYING AUTHORS TODO Changelog
> > 
> > File "INSTALL" is irrelevant to the package users.
> > 
> > 
> > * Run "rpmlint" on your src.rpm and built rpms and apply fixes as appropriate:
> > 
> > $ rpmlint qbittorrent-1.3.0-4.fc10.src.rpm 
> > qbittorrent.src:27: W: configure-without-libdir-spec
> > qbittorrent.src:29: W: rpm-buildroot-usage %build ./configure
> > --prefix=$RPM_BUILD_ROOT%{_prefix}
> > qbittorrent.src:29: W: configure-without-libdir-spec
> > qbittorrent.src: E: description-line-too-long A Bittorrent client using C++ /
> > rb_libtorrent and a Qt4 Graphical User Interface.
> > 1 packages and 0 specfiles checked; 1 errors, 3 warnings.
> > 
> > * The Warning about missing --libdir usage can be ignored.
> > 
> > 
> > * Testbuild will need Rawhide (F11 devel):
> > Checking for libtorrent-rasterbar >= 0.14 ... no
> 
> 
> This isn't possible !
> 
> > > ./configure --prefix=$RPM_BUILD_ROOT%{_prefix}
> > 
> > This --prefix is wrong. That's too much risk that the buildroot path finds its
> > way into compiled/built files. Use --prefix=%{_prefix} only.
> 
> 
> I have read the packaging guidelines and found nothing that expressly prohibits
> this , so fixing this error isn't mandatory , is this correct ?



I have also found this.

http://www.mail-archive.com/fedora-package-review@redhat.com/msg96285.html

Fix if possible.

nss.src: E: no-cleaning-of-buildroot %install
You should clean $RPM_BUILD_ROOT in the %clean section and just after the
beginning of %install section. Use "rm -Rf $RPM_BUILD_ROOT"
Comment 15 leigh scott 2009-02-07 20:09:57 EST
Here are the new spec and srpm


Spec URL: http://dnmouse.org/fedora/qbittorrent_review/review_changes/new_2/qbittorrent.spec


SRPM URL: http://dnmouse.org/fedora/qbittorrent_review/review_changes/new_2/qbittorrent-1.3.1-5.fc10.src.rpm



rpmlint -vi qbittorrent-1.3.1-5.fc10.x86_64.rpm qbittorrent.x86_64: I: checking
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



rpmlint -vi qbittorrent-1.3.1-5.fc10.src.rpmqbittorrent.src: I: checking
qbittorrent.src:27: W: configure-without-libdir-spec
A configure script is run without specifying the libdir. configure options
must be augmented with something like --libdir=%{_libdir} whenever the script
supports it.

qbittorrent.src:30: W: rpm-buildroot-usage %build ./configure --prefix=$RPM_BUILD_ROOT%{_prefix}
$RPM_BUILD_ROOT should not be touched during %build or %prep stage, as it will
break short circuiting.

qbittorrent.src:30: W: configure-without-libdir-spec
A configure script is run without specifying the libdir. configure options
must be augmented with something like --libdir=%{_libdir} whenever the script
supports it.

1 packages and 0 specfiles checked; 0 errors, 3 warnings.
Comment 16 leigh scott 2009-02-07 20:12:39 EST
> I have also found this.
> 
> http://www.mail-archive.com/fedora-package-review@redhat.com/msg96285.html
> 
> Fix if possible.
> 
> nss.src: E: no-cleaning-of-buildroot %install
> You should clean $RPM_BUILD_ROOT in the %clean section and just after the
> beginning of %install section. Use "rm -Rf $RPM_BUILD_ROOT"

Disregard this, I miss read it :(
Comment 17 Michael Schwendt 2009-02-08 07:37:21 EST
Created attachment 331236 [details]
patch for spec file

> I have read the packaging guidelines and found nothing that
> expressly prohibits this , so fixing this error isn't mandatory ,
> is this correct ?

No. For this review a fix will be mandatory. I'm going to test-build with attached patch, as I believe it to be the correct way to package this app.

The buildroot path being used in %build (instead of just %install) usually is a packaging mistake/pitfall. It has lead to trouble several times before.

The guidelines aren't as complete as necessary to cover each and every packaging detail. In corner-cases it may be "okay" to use the buildroot path in %build. But then you should have a much better rationale than a spec file comment such as "needs the RPM_BUILD_ROOT in prefix to build". That's too vague and unconvincing.
Comment 18 leigh scott 2009-02-08 08:14:06 EST
(In reply to comment #17)
> Created an attachment (id=331236) [details]
> patch for spec file
> 
> > I have read the packaging guidelines and found nothing that
> > expressly prohibits this , so fixing this error isn't mandatory ,
> > is this correct ?
> 
> No. For this review a fix will be mandatory. I'm going to test-build with
> attached patch, as I believe it to be the correct way to package this app.
> 
> The buildroot path being used in %build (instead of just %install) usually is a
> packaging mistake/pitfall. It has lead to trouble several times before.
> 
> The guidelines aren't as complete as necessary to cover each and every
> packaging detail. In corner-cases it may be "okay" to use the buildroot path in
> %build. But then you should have a much better rationale than a spec file
> comment such as "needs the RPM_BUILD_ROOT in prefix to build". That's too vague
> and unconvincing.

Thank you for the patch it works fine, I didn't know about the INSTALL_ROOT option.


Here are the new SRPM & Spec file with your changes from you patch 

Spec URL: http://dnmouse.org/fedora/qbittorrent_review/review_changes/new_3/qbittorrent.spec


SRPM URL: http://dnmouse.org/fedora/qbittorrent_review/review_changes/new_3/qbittorrent-1.3.1-6.fc10.src.rpm





Thank you for your help.


Leigh
Comment 19 leigh scott 2009-02-08 08:17:56 EST
Heres the output for rpmlint

srpm

qbittorrent.src: I: checking
qbittorrent.src:27: W: configure-without-libdir-spec
A configure script is run without specifying the libdir. configure options
must be augmented with something like --libdir=%{_libdir} whenever the script
supports it.

qbittorrent.src:29: W: configure-without-libdir-spec
A configure script is run without specifying the libdir. configure options
must be augmented with something like --libdir=%{_libdir} whenever the script
supports it.


built package

qbittorrent.x86_64: I: checking
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 20 Eli Wapniarski 2009-02-09 05:41:47 EST
NON SHOW STOPPERS
-----------------
1) Not a show stopper, but, I had to grab rb_libtorrent-0.14.1-2 from koji so that I could rebuild on Fedora 10. I don't have Fedora 11 alpha.

2) When rebuilding both rb_libtorrent and qbtorrent from within Konsole  the compiling seems to chew up a lot of system resources. From runlevel 3 both rebuilt in a reasonable amount of time. I have no idea if this is a problem with KDE, qt, cmake, gcc... If somebody could help figure this out, it would be great.


SHOW STOPPER
---------------------
In the Preferences dialog box under languages, country flags appear. They need to be removed to conform to Fedora packaging guidelines. If someone knows how to create a patch to remove them it would be good.
Comment 21 leigh scott 2009-02-09 06:20:42 EST
Created attachment 331303 [details]
Patch to remove flags from the preferences menu
Comment 23 leigh scott 2009-02-09 06:39:47 EST
(In reply to comment #20)
> NON SHOW STOPPERS
> -----------------
> 1) Not a show stopper, but, I had to grab rb_libtorrent-0.14.1-2 from koji so
> that I could rebuild on Fedora 10. I don't have Fedora 11 alpha.
> 
> 2) When rebuilding both rb_libtorrent and qbtorrent from within Konsole  the
> compiling seems to chew up a lot of system resources. From runlevel 3 both
> rebuilt in a reasonable amount of time. I have no idea if this is a problem
> with KDE, qt, cmake, gcc... If somebody could help figure this out, it would be
> great.
> 
> 
> SHOW STOPPER
> ---------------------
> In the Preferences dialog box under languages, country flags appear. They need
> to be removed to conform to Fedora packaging guidelines. If someone knows how
> to create a patch to remove them it would be good.


I have removed the flags :) , I have also noticed that it takes a lot of ram to compile rb_libtorrent and qbittorrent.
Comment 24 Michael Schwendt 2009-02-09 07:32:28 EST
It's C++. Compiling C++ is more resource hungry than e.g. compiling C.
Comment 25 Eli Wapniarski 2009-02-09 07:40:50 EST
Thanks for the info Michael, but it still shouldn't make my computer come to a screeching halt compiling inside Konsole. I've got a 1 gig system on an x86_64. Things should be reasonable, but they aren't.

Leigh... OK... I can confirm that the flags have been removed from the compiled program. I will continue with the review. I will do my level best to get it done as quickly as I am able. This is going to be my first review so please be a little patient with me as I want to get this right.
Comment 26 leigh scott 2009-02-09 08:03:03 EST
(In reply to comment #25)
> Thanks for the info Michael, but it still shouldn't make my computer come to a
> screeching halt compiling inside Konsole. I've got a 1 gig system on an x86_64.
> Things should be reasonable, but they aren't.


I had to add another 1Gb or RAM to my machine (2Gb total) as some of the compiling processes take in excess of 700Mb , this forces the PC to start using the swap space (hence the machine runs slower)


> 
> Leigh... OK... I can confirm that the flags have been removed from the compiled
> program. I will continue with the review. I will do my level best to get it
> done as quickly as I am able. This is going to be my first review so please be
> a little patient with me as I want to get this right.


No problem :cool:

Here are the build logs from mock for Rawhide if it helps.

i386

buildlogs URL: http://leigh123.homelinux.com/Rawhide/i386/



x86_64

buildlogs URL: http://leigh123.homelinux.com/Rawhide/x86_64/
Comment 27 leigh scott 2009-02-09 09:52:03 EST
Buildlogs for the F11 rawhide 1.3.1-7 build

i386

buildlogs URL: http://leigh123.homelinux.com/Rawhide/i386/new_1/


x86_64

buildlogs URL: http://leigh123.homelinux.com/Rawhide/x86_64/new_1/
Comment 28 Eli Wapniarski 2009-02-09 15:18:56 EST
Please edit flags at the top of this bug report and set the fedora-review flag to ?
Comment 29 Rex Dieter 2009-02-09 15:28:24 EST
(Eli, that's something the reviewer usually does)
Comment 30 Eli Wapniarski 2009-02-10 00:21:39 EST
Oops reread that and yep. You're quite right. Sorry Leigh.

Anyway... I think things are OK... So you get a passing grade of fedora-review + :).
Comment 31 leigh scott 2009-02-10 06:01:38 EST
(In reply to comment #30)
> Oops reread that and yep. You're quite right. Sorry Leigh.
> 
> Anyway... I think things are OK... So you get a passing grade of fedora-review
> + :).


Hi Eli,

Thanks for reviewing qbittorrent.


Leigh
Comment 32 Eli Wapniarski 2009-02-10 12:00:45 EST
Your welcome.

Now, this I'm certain of, you will have to follow the procedure outlined in

https://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure

Cheers.
Comment 33 Rex Dieter 2009-02-10 12:06:16 EST
Lemme look over things quick (looks good at first glance), and I'll do the sponsor thing.

Leigh, have you a fas account created?  If so, what username?  If not, do so asap. :)  See:

http://fedoraproject.org/wiki/PackageMaintainers/Join#Get_a_Fedora_Account
Comment 34 leigh scott 2009-02-10 12:13:46 EST
(In reply to comment #33)
> Lemme look over things quick (looks good at first glance), and I'll do the
> sponsor thing.
> 
> Leigh, have you a fas account created?  If so, what username?  If not, do so
> asap. :)  See:
> 
> http://fedoraproject.org/wiki/PackageMaintainers/Join#Get_a_Fedora_Account


Hi Rex,

Thank you for sponsoring me, my fas username= Leigh123linux


Leigh
Comment 35 leigh scott 2009-02-10 12:15:51 EST
(In reply to comment #34)
> (In reply to comment #33)
> > Lemme look over things quick (looks good at first glance), and I'll do the
> > sponsor thing.
> > 
> > Leigh, have you a fas account created?  If so, what username?  If not, do so
> > asap. :)  See:
> > 
> > http://fedoraproject.org/wiki/PackageMaintainers/Join#Get_a_Fedora_Account
> 
> 
> Hi Rex,
> 
> Thank you for sponsoring me, my fas username= Leigh123linux
> 
> 
> Leigh


Sorry I made a mistake , it should be

username= leigh123linux
Comment 36 Rex Dieter 2009-02-10 12:21:12 EST
alrighty, looks good, sponsored.
Comment 37 leigh scott 2009-02-10 12:30:26 EST
(In reply to comment #36)
> alrighty, looks good, sponsored.

I believe the next step is to request a CVS module and branches with the  CVSAdminProcedure, is this correct?
Comment 38 leigh scott 2009-02-10 13:35:14 EST
New Package CVS Request
=======================
Package Name: qbittorrent
Short Description: A bittorrent Client
Owners: leigh123linux
Branches: F-9 F-10
InitialCC:leigh123linux
Comment 39 Michael Schwendt 2009-02-10 14:04:10 EST
I've pointed out in comment 12 that it won't build on anything older than F11 Development (Rawhide). Requesting branches is pointless. Unless you get rb_libtorrent version upgrades for F-10 and F-9.
Comment 40 leigh scott 2009-02-10 14:42:46 EST
(In reply to comment #39)
> I've pointed out in comment 12 that it won't build on anything older than F11
> Development (Rawhide). Requesting branches is pointless. Unless you get
> rb_libtorrent version upgrades for F-10 and F-9.


I am aware of the rb_libtorrent issue with F-9 & F-10, I am just running  qbittorrent-1.2.1-2.fc10.src.rpm though mock now and I will upload the spec & srpm for inspection when it's complete.

qbittorrent-1.2.1-2.fc10.src.rpm will build OK with rb_libtorrent-devel >= 0.13.1
Comment 41 Eli Wapniarski 2009-02-10 14:53:58 EST
Any particular reason why rb_libtorrent 0.14 is not being built for Fedora 10 and 9. I conducted my review on Fedora 10 after successfully building rb_libtorrent on Fedora 10.
Comment 42 leigh scott 2009-02-10 15:13:32 EST
(In reply to comment #39)
> I've pointed out in comment 12 that it won't build on anything older than F11
> Development (Rawhide). Requesting branches is pointless. Unless you get
> rb_libtorrent version upgrades for F-10 and F-9.


I am aware of the rb_libtorrent issue with F-9 & F-10, I am just running  qbittorrent-1.2.1-2.fc10.src.rpm though mock now and I will upload the spec & srpm for inspection when it's complete.

qbittorrent-1.2.1-2.fc10.src.rpm will build OK with rb_libtorrent-devel >= 0.13.1
Comment 44 Kevin Fenzi 2009-02-10 17:39:06 EST
cvs done.

You may also want to look at: 
http://fedoraproject.org/wiki/Packaging/SourceURL#Sourceforge.net
Comment 45 leigh scott 2009-02-10 18:32:40 EST
If qbittorrent 1.2.1 is also accepted, how do I import it to CVS ?
Comment 46 Fedora Update System 2009-02-24 11:22:31 EST
qbittorrent-0.9.3-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/qbittorrent-0.9.3-1.fc9
Comment 47 Fedora Update System 2009-02-24 15:57:52 EST
qbittorrent-1.2.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 48 Fedora Update System 2009-02-25 11:26:32 EST
qbittorrent-0.9.3-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 49 leigh scott 2009-04-25 12:49:50 EDT
Package Change Request
======================
Package Name: qbittorrent
New Branches: F-11
Owners leigh123linux
Comment 50 Rex Dieter 2009-04-25 13:32:33 EDT
fyi, F-11 branches have already been made for all packages.  (you may need a cvs -d up)
Comment 51 leigh scott 2009-04-25 13:55:47 EDT
(In reply to comment #50)
> fyi, F-11 branches have already been made for all packages.  (you may need a
> cvs -d up)  

Thank you for the info.
Comment 52 leigh scott 2009-04-28 09:09:05 EDT
Hi Rex,

I have built a F-12 package from svn as the 1.4.0beta2 source isn't that complete.

http://bazaar.launchpad.net/~vcs-imports/qbittorrent/trunk/changes

I reported the faults and got them fixed upstream, I was wondering what would be the correct way to version the F-12 package ?

http://koji.fedoraproject.org/koji/buildinfo?buildID=99635

Thanks

Leigh
Comment 53 leigh scott 2009-04-30 08:13:04 EDT
Bump!
Comment 54 Rex Dieter 2009-04-30 08:43:08 EDT
Either
Version: 1.4.0
Release: 0.1.beta2
or 
Version: 1.4.0
Release: 0.1.<date_stamp>svn
works, conforming to Naming guidelines:
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Package_Version
Comment 55 leigh scott 2009-04-30 09:35:46 EDT
(In reply to comment #54)
> Either
> Version: 1.4.0
> Release: 0.1.beta2
> or 
> Version: 1.4.0
> Release: 0.1.<date_stamp>svn
> works, conforming to Naming guidelines:
> http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Package_Version  

Thank you, I went with your second example.

http://koji.fedoraproject.org/koji/buildinfo?buildID=100393
Comment 56 leigh scott 2009-10-12 08:06:35 EDT
Christoph Wickert has told me the flags policy has changed, is it OK to drop the flags patch?
Comment 57 Rex Dieter 2009-10-12 08:38:26 EDT
Previous flags policy was overturned yes,
https://fedoraproject.org/wiki/Package_Maintainers_Flags_Policy

More gory details, 
http://fedoraproject.org/wiki/FWN/Issue177#In_a_Flap_Over_Flags
Comment 58 leigh scott 2009-10-16 16:08:35 EDT
Thanks Rex.

Note You need to log in before you can comment on or make changes to this bug.